'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactBootstrap = require('react-bootstrap');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var ButtonToolbarField = function ButtonToolbarField(field) {
  var handleChange = function handleChange(value) {
    if (field.onSelect) {
      field.onSelect(value);
    }

    if (field.onChange) {
      field.onChange(value);
    }

    if (field.input.onChange) {
      field.input.onChange(value);
    }
  };

  return _react2.default.createElement(
    'div',
    { className: 'form-group' },
    _react2.default.createElement(
      'label',
      { className: 'control-label col-sm-3' },
      field.label
    ),
    _react2.default.createElement(
      'div',
      { className: 'col-sm-9' },
      _react2.default.createElement(
        _reactBootstrap.ButtonToolbar,
        null,
        field.options && field.options.length > 0 && field.options.map(function (option) {
          return _react2.default.createElement(
            _reactBootstrap.Button,
            {
              active: option.value == field.input.value,
              block: field.block,
              bsSize: field.bsSize,
              bsStyle: field.bsStyle,
              disabled: field.disabled,
              key: option.value,
              onClick: function onClick() {
                return handleChange(option.value);
              }
            },
            option.label
          );
        })
      )
    )
  );
};

exports.default = ButtonToolbarField;